<?php
/**
 * $Horde: wicked/attachment.php,v 1.14 2005/09/23 17:23:00 chuck Exp $
 *
 * Copyright 2004-2005 Cronosys, LLC <http://www.cronosys.com/>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('WICKED_BASE', dirname(__FILE__));
require_once WICKED_BASE . '/lib/base.php';
require_once 'Horde/MIME/Magic.php';

$page = Util::getFormData('page', 'WikiHome');
$file = Util::getFormData('file');
$mime = Util::getFormData('mime');

$id = $wicked->getPageId($page);
if ($id !== false) {
    $page_id = $id;
} else {
    $page_id = $page;
}

$version = Util::getFormData('version');
if (empty($version)) {
    $attachments = $wicked->getAttachedFiles($page_id);
    if (is_a($attachments, 'PEAR_Error')) {
        die($data->getMessage());
    }

    foreach ($attachments as $attachment) {
        if ($attachment['attachment_name'] == $file) {
            $version = $attachment['attachment_majorversion'] . '.' .
                       $attachment['attachment_minorversion'];
        }
    }

    if (empty($version)) {
        die(sprintf(_("No such attachment \"%s\"."), $file));
    }
}

$data = $wicked->getAttachmentContents($page_id, $file, $version);
if (is_a($data, 'PEAR_Error')) {
    die($data->getMessage());
}

$type = MIME_Magic::analyzeData($data, isset($conf['mime']['magic_db']) ? $conf['mime']['magic_db'] : null);
if ($type === false) {
    $type = MIME_Magic::filenameToMIME($file, false);
}

$browser->downloadHeaders($file, $type, !empty($mime), strlen($data));
echo $data;
