<?php
/**
 * $Horde: wicked/history.php,v 1.14 2005/05/30 18:18:25 chuck Exp $
 *
 * Copyright 2003-2005 Tyler Colbert <tyler@colberts.us>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('WICKED_BASE', dirname(__FILE__));
require_once WICKED_BASE . '/lib/base.php';

$page = &Page::getCurrentPage();
if (is_a($page, 'PEAR_Error')) {
    $notification->push(_("Internal error viewing requested page"), 'horde.error');
    header('Location: ' . Wicked::url('WikiHome', true));
    exit;
}

if (!$page->allows(WICKED_MODE_HISTORY)) {
    /* Redirect to display page & force it to display error. */

    $url = Util::addParameter(Wicked::url($page->pageName(), true), 'actionID', 'history');
    header('Location: ' . $url);
    exit;
}

$actionID = Util::getFormData('actionID');
switch ($actionID) {
case 'remove':
    if ($page->allows(WICKED_MODE_REMOVE)) {
        $version = Util::getFormData('version');
        if (empty($version)) {
            $page->removeAllVersions();
            /* Redirect to home page. */
            header('Location: ' . Wicked::url('WikiHome', true));
            exit;
        } else {
            $page->removeVersion($version);
        }
    }
    break;
}

$title = sprintf(_("History: %s"), $page->pageName());
require WICKED_TEMPLATES . '/common-header.inc';
require WICKED_TEMPLATES . '/menu.inc';
$page->render(WICKED_MODE_HISTORY);
require $registry->get('templates', 'horde') . '/common-footer.inc';
